package kr.co.compcarecompany.Data.Product;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import kr.co.compcarecompany.Data.ArrayItem;
import kr.co.compcarecompany.Data.ArrayItem_;
import kr.co.compcarecompany.Data.Company.WorkData;
import kr.co.compcarecompany.Data.FileDatum;

public class AlarmData implements Serializable {

    @SerializedName("mcl_idx")
    @Expose
    private String mclIdx;

    @SerializedName("mb_name")
    @Expose
    private String mbName;

    @SerializedName("mc_iot_mac")
    @Expose
    private String mcIotMac;

    @SerializedName("push_dt")
    @Expose
    private String pushDt;

    @SerializedName("read_yn")
    @Expose
    private String readYn;

    @SerializedName("sensor")
    @Expose
    private String sensor;

    @SerializedName("sensor_value")
    @Expose
    private String sensorValue;

    @SerializedName("delay_time")
    @Expose
    private String delayTime;

    @SerializedName("report_yn")
    @Expose
    private String reportYn;

    @SerializedName("machine_data")
    @Expose
    private MachineItem machineData;

    @SerializedName("ar_idx")
    @Expose
    private String arIdx;

    @SerializedName("read_time")
    @Expose
    private String readTime;

    @SerializedName("ct_cnt")
    @Expose
    private String ctCnt;

    @SerializedName("pr_cnt")
    @Expose
    private String prCnt;

    @SerializedName("pr_min_cnt")
    @Expose
    private String prMinCnt;

    @SerializedName("temp_cnt")
    @Expose
    private String tempCnt;

    @SerializedName("service_cnt")
    @Expose
    private String serviceCnt;

    @SerializedName("time_line_cnt")
    @Expose
    private String timeLineCnt;

    @SerializedName("pd_name")
    @Expose
    private String pdName;

    @SerializedName("cp_name")
    @Expose
    private String cpName;

    @SerializedName("pt_name")
    @Expose
    private String ptName;

    @SerializedName("mc_airline")
    @Expose
    private String mcAirline;

    @SerializedName("qr_code")
    @Expose
    private String qrCode;

    @SerializedName("ct_alarms")
    @Expose
    private ArrayList<AlarmData> ctAlarms;

    @SerializedName("pr_alarms")
    @Expose
    private ArrayList<AlarmData> prAlarms;

    @SerializedName("pr_min_alarms")
    @Expose
    private ArrayList<AlarmData> prMinAlarms;

    @SerializedName("temp_alarms")
    @Expose
    private ArrayList<AlarmData> tempAlarms;

    @SerializedName("service_alarms")
    @Expose
    private ArrayList<AlarmData> serviceAlarms;

    @SerializedName("time_line_alarms")
    @Expose
    private ArrayList<AlarmData> timeLineAlarms;

    @SerializedName("ag_ceo")
    @Expose
    private String agCeo;

    @SerializedName("wo_worker_name2")
    @Expose
    private String woWorkerName2;

    @SerializedName("wrEnddt")
    @Expose
    private String wrEnddt;

    @SerializedName("wo_memo")
    @Expose
    private String woMemo;

    @SerializedName("wo_calldt")
    @Expose
    private String woCalldt;

    @SerializedName("ct_report_cnt")
    @Expose
    private String ctReportCnt;

    @SerializedName("pr_report_cnt")
    @Expose
    private String prReportCnt;

    @SerializedName("temp_report_cnt")
    @Expose
    private String tempReportCnt;

    @SerializedName("service_report_cnt")
    @Expose
    private String serviceReportCnt;

    @SerializedName("ct_reports")
    @Expose
    private ArrayList<ReportData> ctReports;

    @SerializedName("pr_reports")
    @Expose
    private ArrayList<ReportData> prReports;

    @SerializedName("temp_reports")
    @Expose
    private ArrayList<ReportData> tempReports;

    @SerializedName("service_reports")
    @Expose
    private ArrayList<ReportData> serviceReports;

    @SerializedName("max_sensor_value")
    @Expose
    private String maxSensorValue;

    boolean checked = false;

    public String getMcIotMac() {
        return mcIotMac;
    }

    public void setMcIotMac(String mcIotMac) {
        this.mcIotMac = mcIotMac;
    }

    public String getPushDt() {
        return pushDt;
    }

    public void setPushDt(String pushDt) {
        this.pushDt = pushDt;
    }

    public String getReadYn() {
        return readYn;
    }

    public void setReadYn(String readYn) {
        this.readYn = readYn;
    }

    public String getSensor() {
        return sensor;
    }

    public void setSensor(String sensor) {
        this.sensor = sensor;
    }

    public String getMclIdx() {
        return mclIdx;
    }

    public void setMclIdx(String mclIdx) {
        this.mclIdx = mclIdx;
    }

    public String getSensorValue() {
        return sensorValue;
    }

    public String getDelayTime() {
        return delayTime;
    }

    public String getReportYn() {
        return reportYn;
    }

    public boolean isChecked() {
        return checked;
    }

    public void setChecked(boolean checked) {
        this.checked = checked;
    }

    public MachineItem getMachineData() {
        return machineData;
    }

    public String getArIdx() {
        return arIdx;
    }

    public String getReadTime() {
        return readTime;
    }

    public String getCtCnt() {
        return ctCnt;
    }

    public String getPrCnt() {
        return prCnt;
    }

    public String getTempCnt() {
        return tempCnt;
    }

    public String getServiceCnt() {
        return serviceCnt;
    }

    public String getPdName() {
        return pdName;
    }

    public String getCpName() {
        return cpName;
    }

    public String getMcAirline() {
        return mcAirline;
    }

    public String getQrCode() {
        return qrCode;
    }

    public ArrayList<AlarmData> getCtAlarms() {
        return ctAlarms;
    }

    public ArrayList<AlarmData> getPrAlarms() {
        return prAlarms;
    }

    public ArrayList<AlarmData> getTempAlarms() {
        return tempAlarms;
    }

    public ArrayList<AlarmData> getServiceAlarms() {
        return serviceAlarms;
    }

    public String getTimeLineCnt() {
        return timeLineCnt;
    }

    public ArrayList<AlarmData> getTimeLineAlarms() {
        return timeLineAlarms;
    }

    public String getAgCeo() {
        return agCeo;
    }

    public String getWoWorkerName2() {
        return woWorkerName2;
    }

    public String getWrEnddt() {
        return wrEnddt;
    }

    public String getWoMemo() {
        return woMemo;
    }

    public String getWoCalldt() {
        return woCalldt;
    }

    public String getCtReportCnt() {
        return ctReportCnt;
    }

    public String getPrReportCnt() {
        return prReportCnt;
    }

    public String getTempReportCnt() {
        return tempReportCnt;
    }

    public String getServiceReportCnt() {
        return serviceReportCnt;
    }

    public ArrayList<ReportData> getServiceReports() {
        return serviceReports;
    }

    public ArrayList<ReportData> getCtReports() {
        return ctReports;
    }

    public ArrayList<ReportData> getPrReports() {
        return prReports;
    }

    public ArrayList<ReportData> getTempReports() {
        return tempReports;
    }

    public String getMbName() {
        return mbName;
    }

    public String getPtName() {
        return ptName;
    }

    public String getMaxSensorValue() {
        return maxSensorValue;
    }

    public String getPrMinCnt() {
        return prMinCnt;
    }

    public ArrayList<AlarmData> getPrMinAlarms() {
        return prMinAlarms;
    }
}
